Skip to main content
`Ctrl`+`K`

# VecCUDARestoreArrayRead

Restore a CUDA device pointer previously acquired with `VecCUDAGetArrayRead()`.

## Synopsis

    #include <petscvec.h>
    PetscErrorCode VecCUDARestoreArrayRead(Vec v, const PetscScalar **a)

Not Collective; Asynchronous; No Fortran Support

## Input Parameters

- v - the vector

- a - the CUDA device pointer

## Note

This routine does not modify the corresponding array on the host in any way. The pointer is invalid after this function returns.

## See Also

Vectors and Parallel Data, `VecCUDAGetArrayRead()`, `VecCUDAGetArrayWrite()`, `VecCUDAGetArray()`, `VecGetArray()`, `VecRestoreArray()`, `VecGetArrayRead()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/cupm/cuda/vecseqcupm.cu

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages